<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
Create Method (IEdmBatchAddFolders)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchAddFolders Interface : Create Method (IEdmBatchAddFolders)

Visual Basic
C#
C++/CLI

lHwnd
  Parent window handle that is passed to add-ins that are notified about folders added to the vault

ppoRetFolders
  Array of EdmFolderInfo structures; one structure for each folder added

lEdmBatchCreateFolderFlags
  Combination of EdmBatchCreateFolderFlag bits

Creates all the folders that were added to the batch using IEdmBatchAddFolders::AddFolder.

# Syntax

Visual Basic |
--- | ---

    Sub Create( _
       ByVal lHwnd As System.Integer, _
       ByRef ppoRetFolders() As EdmFolderInfo, _
       Optional ByVal lEdmBatchCreateFolderFlags As System.Integer _
    )

C# |
--- | ---

    void Create(
       System.int lHwnd,
       out EdmFolderInfo[] ppoRetFolders,
       System.int lEdmBatchCreateFolderFlags
    )

C++/CLI |
--- | ---

    void Create(
    &   System.int lHwnd,
    &   [Out] array<EdmFolderInfo>^ ppoRetFolders,
    &   System.int lEdmBatchCreateFolderFlags
    )

#### Parameters

lHwnd
  Parent window handle that is passed to add-ins that are notified about folders added to the vault
ppoRetFolders
  Array of EdmFolderInfo structures; one structure for each folder added
lEdmBatchCreateFolderFlags
  Combination of EdmBatchCreateFolderFlag bits

# Example

See the IEdmBatchAddFolders examples.

# Remarks

Return codes:

- S_OK: The method successfully executed.
- E_EDM_COULD_NOT_CREATE_LOCAL_FOLDER: The folders were created in the vault but could not be created in the local cache.

# See Also

####

IEdmBatchAddFolders Interface
IEdmBatchAddFolders Members

# Availability

Version 6.3 of SOLIDWORKS PDM Professional